
QGIS Application - Bug report #7377

Leftover custom CRS references cause QGIS to crash when working with CRS

2013-03-16 11:43 PM - Maxim Dubinin

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16349

Description

1. regedit

2. HKEY_USERS\\S-1-5-21-[many numbers here]-1000\\Software\\QuantumGIS\\QGIS\\UI

3. recentProjections - add user code, for example 100010

4. recentProjectionsAuthId - add the same user code, USER:100010

5. Run QGIS

6. Try to change CRS in Settings\\Project properties -> QGIS will crash.

This happens a lot, when user uninstalls QGIS where he had custom CRSes, but registry doesn't get cleared appropriately and refs for

these codes remain.

QGIS should not trip over those codes if it founds them, just skip them.

Related issues:

Duplicated by QGIS Application - Bug report # 7370: QGIS 1.8 crashes when att... Closed 2013-03-16

Associated revisions

Revision 92b930ac - 2013-06-30 09:42 PM - Jürgen Fischer

projection selector: skip unavailable user CRSes (fixes #7377)

History

#1 - 2013-03-16 11:44 PM - Maxim Dubinin

- Operating System set to Windows 7

- Category set to Projection Support

#2 - 2013-03-17 12:53 PM - Charles Petersen

Problem solved!

Removed offending entries from the register, and I can now change CRS.

Большое спасибо!

#3 - 2013-06-30 12:43 PM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"92b930ac4712975ab93825173a6799081cacfe8a".
